Bug 105832 - vim srpm won't compile
vim srpm won't compile
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-28 06:50 EDT by frankie
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-31 15:55:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description frankie 2003-09-28 06:50:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4) Gecko/20030701

Description of problem:
I'm trying to build from source vim. I installed all the dependent development
packages but it still won't compile.
It looks it needs libtermcap-devel-2.0.8-35.i386.rpm installed.

When I installed this package it still won't compile and will return
this ugly error:

RPM build errors:
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/af/*

and many other languages dirs missing.

Version-Release number of selected component (if applicable):
vim-6.1-29.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild -ba /usr/src/redhat/SPECS/vim.spec


    

Actual Results:  RPM build errors:
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/af/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/cs/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/de/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/es/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/fr/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/it/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/ja/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/ko/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/pl/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/sk/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/uk/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/zh_CN/*
    File not found by glob:
/var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/zh_CN.UTF-8/*
    File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/zh_TW/*


Additional info:
Comment 1 Karsten Hopp 2003-09-29 08:15:37 EDT
added libtermcap-devel to buildrequires. But that doesn't make any difference wrt. language 
support. There should be some other error messages during the build. Can you please post 
them here ? 
Comment 2 frankie 2003-10-12 10:48:10 EDT
I'm sorry I didn't explain well. In the beggining, I tried to rebuild vim
from the RPM, and it complained when trying to link. I solved it myself
installing libtermcap-devel.

Now libtermcap-devel is installed, the errors reported by rpmbuild are like :
File not found by glob: /var/tmp/vim-6.1-root/usr/share/vim/vim61/lang/af/*
Comment 3 Karsten Hopp 2003-10-14 08:35:24 EDT
Is gettext installed on your system ?   rpm -q gettext 
Comment 4 frankie 2003-10-31 13:52:42 EST
When I installed gettext it compiled fine. I installed the binary and works right.
Comment 5 Karsten Hopp 2003-10-31 15:55:43 EST
fixed in vim-6.2.121-1 (Fedora and Rawhide) 

Note You need to log in before you can comment on or make changes to this bug.